/* kluStor v.3.0.1
 *  Copyright (c) 1997 by Peter Johnson (locke@mcs.net).
 *  Read Doc/copying.pj for usage information.
 *
 * File: kluTest.cpp
 * Desc: kluStor test program
 */

#include <stdio.h>
#include <stdlib.h>
#include <iostream.h>

#include "kluStor.h"

/* Progress
 * Progress callback for save
 */
bool Progress(const char *curname, unsigned long num, unsigned long totnum, unsigned long pos)
{
	printf("\r%3lu/%3lu (%5lu kb) %-60s", num, totnum, pos/1024, curname);
	fflush(stdout);
	return true;
}

int main()
{
	kluFile kf("quake.klu", false);	// open up klu w/o scanning subdir
	char *buf = (char *)malloc(1024);	// get a buffer for input
	
	cout << "Enter a string:" << endl;
	gets(buf);
	
	cout << "Adding to directory as blah/blah/da" << endl;
	
	kf.dir.Delete("blah/blah/da");	// delete old one (if it exists)
	kf.dir.Add("blah/blah/da", buf, strlen(buf), 1);
	
	cout << "Saving..." << endl;
	kf.Save("quake2.klu", false, true, 1, &Progress);	// save the klu
	
	puts("");
	free(buf);
	return 0;
}
