/* kluStor v.3.0.1
 *  Copyright (c) 1997 by Peter Johnson (locke@mcs.net).
 *  Read Doc/copying.pj for usage information.
 *
 * File: kluCmp.h
 * Desc: klu Compression header file
 */
typedef struct
{
	char *name;	// Name of compression type
	int (*comp)(void *dest, unsigned long *destlen, const void *src,
		unsigned long srclen);
	int (*decomp)(void *dest, unsigned long destlen, const void *src,
		unsigned long srclen);
} kluCompressStruct;

extern unsigned char NumKluCompress;
extern kluCompressStruct kluCompress[];
